#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "cuda.h"

void checkCUDAError(const char *msg);
void myCudaMalloc(void **d_v, int sz, char *mess);
void myCudaDeviceToHost(void *h_v, void *d_v, int sz, char *mess);
void myCudaHostToDevice(void *d_v, void *h_v, int sz, char *mess);
void StartKernelTiming(cudaEvent_t& tic, cudaEvent_t& toc, cudaStream_t iStream);
void StopKernelTiming(cudaEvent_t& tic, cudaEvent_t& toc, cudaStream_t iStream, float* ptimer);
